from bio_embeddings.align.pipeline import pairwise_alignments_to_msa


def test_pairwise_alignments_to_msa():
    queries = [
        "SSLLDIIYQLRQVPRWDGSFQFEKEDVSQHSFSVI-AISHIL-C-ELKETL-EGKKINKEKLLL---------Y-ALY-H-DVTEVV-STHIISPVKKNSIL-K-D-PFNA-F-R--EQ-I--K--N-S-LF-DNL-PIT-L-S-DTLSTILNN-NDLEI-QEIV-EHA-DHVDAYC-K-S-C-IEVHRGNKDFISIQRSL---GDKLDNLT-KEY-PYLKE-F-Q-N-LFL-KDFP-L-E-NKNYRYLN",
        "SSLLDIIYQLR-QV-PRWDGSFQ-FEKEDVSQHS-F-SV-I--A-I-SH-I-LCELKETLEG-KKI-NKEKLLLYALY-H-DVTEVVSTHIISPVKKNSIL-KDPFNA-F--R-E-QI-KNSLFDNLPI-TLS-D--T-LSTILNN-N-----D-L-EI-QEIVEHADHVDAYCKSCIEVHR-GN-KDFISIQRSLGDKLDNLT-KE--Y-PYLKEFQNLF-LKDFPLENKNYRYLN",
    ]
    targets = [
        "HQDIRQRTAKSLADHYNIDREQARRVLE-TTEQL-Y--T-QWL-A-QNTKLV-Q-P-QLEALLKWAAXLHEVG-LSINH-SGXHRH-S-AYILQN-TNLPG-F-N-Q----E-QQTLL-ATLV-RXHRKAIKLDELPRLNL-F-KKKYYLPLIQLLRLS-T-LL-NNQRQSTTTP--E-S-L-R-LITDDSHWTL-RFPHGYLTQNSLVQLDFEREQAYWDDV-VGW-KLVIEE-EEP-D-EAAKVAPEE",
        "AKEINLTGEEVVALAAK-Y----M-N-E-TDAAFVKK--A-LD-Y-ATAA-HFYQVR-K-SGEPYIVHPIQVAGILADL-HLDAVTVACGFLH----D-V-VEDTDITLDNI-E-F--DF-G--KDVRDI-VDGVTK-LGKVEYKSHEEQLAE-N-H--RKMLMAMS-KDI-RV-ILVKLADRLHNMRTLKHLRKDKQE-RISRETMEI-YAPLAHRLGI-SRIKWELEDLAFRYLN",
    ]
    expected_query = "SSLLDIIYQLR-QV-PRWDGSFQ-FEKEDVSQHS-F-SV-I--A-I-SH-I-L-C-ELKETL-EG-KKI-NKEKLLL---------Y-ALY-H-DVTEVV-STHIISPVKKNSIL-K-D-PFNA-F--R--E-Q-I--K--N-S-LF-DNL-PI-T-L-S-D--T-LSTILNN-N-----D-L-EI-QEIV-EHA-DHVDAYC-K-S-C-IEVHR-GN-KDFISIQRSL---GDKLDNLT-KE--Y-PYLKE-F-Q-N-LF-L-KDFP-L-E-NKNYRYLN"
    expected_targets = [
        "HQDIRQRTAKS-LA-DHYNIDRE-QARRVLE-TT-E-QL--Y-----T--Q-WL-A-QNTKLV-Q--P--QLEALLKWAAXLHEVG-LSINH-SGXHRH-S-AYILQN-TNLPG-F-N-Q----E-Q-QTLL--ATLV-RXHRKAIKLDELPRL-NL-F-KK--K-YYLPLIQLL-----R-L-S-T-LL-NNQRQSTTTP--E-S-L-R-LITD-DS-HWTL-RFPHGYLTQNSLVQLDFER--EQAYWDDV-VGW-KLV-IEE-EEP-D-EAAKVAPEE",
        "AKEINLTGEEVVALAAK-Y----M-N-E-TDAAFVKK--A-LD-Y-ATAA-HF-Y-QVR-K--SGEPYIVHPIQVAG---------I-LADL-HLDAVTV-ACGFLH----D-V-VE-D-TDITLDNI-E--F---D-F----G----KDV-RDI--V-DGVTK-LGKVEYKSHEEQLAE-N-H--RKMLM-AMS--KDI-RV---I-L-VKLADRLHNMRTLKHLRKD---KQE-RISRETMEI-YAPLAH-R-L-G-I-SR-IKWE-L-E-DLAFRYLN",
    ]
    assert expected_query, expected_targets == pairwise_alignments_to_msa(queries, targets)
